import torch

import os


def load_d_data_names(datasets):
    root = '/mnt/data01/public/aad_data'
    train_names = []
    for dataset in datasets:
        file_names = os.listdir(root + '/' + dataset)
        file_names = ['.'.join(name.split('.')[:-1]) for name in file_names]
        train_names += file_names
    return train_names

dss = load_d_data_names(['uci'])

names = []
for d_name in dss[:]:
    dataset_name = '-'.join(d_name.split('-')[:-2])
    # print(dataset_name)
    names.append(dataset_name)

names = list(set(names))
for i in names:
    print(f'"{i}", ', end='')
print()
